import { DominionCard } from "./types"
import { createCanvas } from "canvas"

export const drawCard = (card: DominionCard): Promise<string> => {
	if (card.orientation === "card") {
		return drawStandardCard(card);
	} else {
		return drawLandscapeCard(card);
	}
}

const drawStandardCard = async (card: DominionCard): Promise<string> => {
	const canvas = createCanvas(1403, 2151);
	const context = canvas.getContext("2d");
	
	return "";
}

const drawLandscapeCard = async (card: DominionCard): Promise<string> => {
	// TODO: everything
	return "";
}